Subject: Address needed

From: [email-masked] (HTM)
Date: 19 Feb 1995 05:58:27 GMT

Does anyone know the address of Piedmont Co. in Georgia? They sell 
live plants, mainly vegetables. I have bought from them before, but for 
some strange reason they put neither their address nor their telephone 
number in their catalogue. It is only on the order form; and I never 
bothered to mark it down.

Seraphim